## ros-one-sesame-ros 2.1.31-19jammy.20260116.2059

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19jammy.20260116.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:59:02 +0000

ros-one-sesame-ros (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.30-0jammy) jammy; urgency=high

  * CI: add ROS-O testing on arm (#528 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/528>), fix sesame_ros on arm64
    * CI: add ROS-O testing on arm
    * CI: use ros-one-catkin-virtualenv
    * sesami_ros: add requirements.in.python3.12, for arm64 22.04/24.04
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.29-0jammy) jammy; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [sesame_ros] relax venv check
      * [sesame_ros] remove cffi which cannot be installed in Ubuntu 22.04 env & not used in sesame_ros
    
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.28-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.25-0jammy) jammy; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.24-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.23-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * update sesame_ros/requirements.txt to pass https://github.com/locusrobotics/catkin_virtualenv/blob/master/README.md#locking-dependencies
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.17-0jammy) jammy; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.16-0jammy) jammy; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.15-0jammy) jammy; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000



## ros-one-sesame-ros 2.1.31-19jammy.20260207.2134

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19jammy.20260207.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:34:32 +0000

## ros-one-sesame-ros 2.1.31-19noble.20260116.2058

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19noble.20260116.2058) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:58:08 +0000

ros-one-sesame-ros (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.30-0noble) noble; urgency=high

  * CI: add ROS-O testing on arm (#528 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/528>), fix sesame_ros on arm64
    * CI: add ROS-O testing on arm
    * CI: use ros-one-catkin-virtualenv
    * sesami_ros: add requirements.in.python3.12, for arm64 22.04/24.04
  * Contributors: Kei Okada, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.29-0noble) noble; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [sesame_ros] relax venv check
      * [sesame_ros] remove cffi which cannot be installed in Ubuntu 22.04 env & not used in sesame_ros
    
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-sesame-ros (2.1.28-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.25-0noble) noble; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-sesame-ros (2.1.24-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.23-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.22-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-sesame-ros (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * update sesame_ros/requirements.txt to pass https://github.com/locusrobotics/catkin_virtualenv/blob/master/README.md#locking-dependencies
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.17-0noble) noble; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.16-0noble) noble; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-sesame-ros (2.1.15-0noble) noble; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000



## ros-one-sesame-ros 2.1.31-19noble.20260207.2136

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sesame_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  message_generation
)

add_service_files(
  FILES
  Command.srv
  Status.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

if($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STREQUAL "melodic")
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python2
    PYTHON_INTERPRETER python2
    CHECK_VENV FALSE
    )
elseif("$ENV{ROS_DISTRO}" STREQUAL "indigo")
  file(DOWNLOAD http://curl.haxx.se/ca/cacert.pem ${CMAKE_BINARY_DIR}/cacert.pem)
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python2
    PYTHON_INTERPRETER python2
    # https://stackoverflow.com/questions/25981703/pip-install-fails-with-connection-error-ssl-certificate-verify-failed
    EXTRA_PIP_ARGS -vvv --cert=${CMAKE_BINARY_DIR}/cacert.pem
  )
else()
find_package(Python3 QUIET COMPONENTS Interpreter)
if(Python3_FOUND)
  message(STATUS "Found Python: ${Python3_EXECUTABLE}")
  message(STATUS "Python Version: ${Python3_VERSION}")
endif()
if((NOT Python3_FOUND) OR (Python3_VERSION VERSION_LESS "3.10"))
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python2
    PYTHON_INTERPRETER python3
    CHECK_VENV FALSE
    )
else()
  catkin_generate_virtualenv(
    INPUT_REQUIREMENTS requirements.in.python3.12
    PYTHON_INTERPRETER python3
  )
endif()
endif()

include_directories()

file(GLOB PYTHON_SCRIPT_FILES node_scripts/* scripts/* test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== debian/changelog ===
ros-one-sesame-ros (2.1.31-19noble.20260207.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:36:05 +0000

=== debian/control ===
Source: ros-one-sesame-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation
Homepage: http://ros.org/wiki/sesame_ros
Standards-Version: 3.9.2

Package: ros-one-sesame-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime
Description: ROS API for Sesame smart lock

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-sesame-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
